/*
  ==============================================================================

    This file contains the basic framework code for a JUCE plugin editor.

  ==============================================================================
*/

#pragma once

#include <JuceHeader.h>
#include "PluginProcessor.h"

//==============================================================================
/**
*/
class TwoProcessorsAudioProcessorEditor  : public juce::AudioProcessorEditor
{
public:
    TwoProcessorsAudioProcessorEditor (TwoProcessorsAudioProcessor&);
    ~TwoProcessorsAudioProcessorEditor() override;

    //==============================================================================
    void paint (juce::Graphics&) override;
    void resized() override;

private:
    // This reference is provided as a quick way for your editor to
    // access the processor object that created it.
    TwoProcessorsAudioProcessor& audioProcessor;

    JUCE_DECLARE_NON_COPYABLE_WITH_LEAK_DETECTOR (TwoProcessorsAudioProcessorEditor)
};
